API ReferenceRuns

Get a run

GET
/v1/runs/{run_id}

Returns the latest state, output, usage, and cost for one run.

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

run_id*string
Match^run_[A-Za-z0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runs/string"
{  "id": "run_01JXYZ1234567890",  "object": "run",  "agent": "acme/construction-researcher",  "status": "completed",  "output_text": "I found 14 matching projects. The CSV contains the complete result.",  "output": [    {      "type": "text",      "text": "I found 14 matching projects. The CSV contains the complete result.",      "annotations": []    },    {      "type": "file",      "file_id": "file_01JXYZ1234567890",      "filename": "projects.csv",      "media_type": "text/csv",      "size_bytes": 18422    },    {      "type": "data",      "data": {        "matches": 14,        "market": "Miami"      }    },    {      "type": "tool_use",      "id": "tool_01JXYZ1234567890",      "name": "search_projects",      "input": {        "market": "Miami"      }    },    {      "type": "tool_result",      "tool_use_id": "tool_01JXYZ1234567890",      "output": {        "matches": 14      },      "is_error": false    }  ],  "usage": {    "rate_card_id": "rc_2026_08",    "meters": [      {        "id": "invocations",        "quantity": 1,        "cost_usd": 1      },      {        "id": "returned_records",        "quantity": 14,        "cost_usd": 0.14      }    ]  },  "cost_usd": 1.2255,  "max_cost_usd": 3,  "session_id": "ses_01JXYZ1234567890",  "stop_reason": null,  "error": null,  "created_at": "2026-08-29T18:30:00Z",  "started_at": "2026-08-29T18:30:00Z",  "completed_at": "2026-08-29T18:30:08Z",  "metadata": {}}